<div class="container center-text">

    <h1>Create a new growing configuration</h1>

    <div class="form-container">
        <mat-form-field appearance="outline" class="full-width">
            <mat-label>Configuration name</mat-label>
            <input matInput [formControl]="flora">
            <mat-error>You must specify a name for your configuration</mat-error>
        </mat-form-field>
    </div>


    <div>Air temperature</div>
    <div class="form-container">
        <mat-form-field appearance="outline">
            <mat-label>Minimum</mat-label>
            <input matInput type="number" [formControl]="airTemperatureMin">
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Maximum</mat-label>
            <input matInput type="number" [formControl]="airTemperatureMax">
        </mat-form-field>
    </div>

    <div>Air humidity</div>
    <div class="form-container">
        <mat-form-field appearance="outline">
            <mat-label>Minimum</mat-label>
            <input matInput type="number" [formControl]="airHumidityMin">
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Maximum</mat-label>
            <input matInput type="number" [formControl]="airHumidityMax">
        </mat-form-field>
    </div>

    <div>Soil moisture</div>
    <div class="form-container">
        <mat-form-field appearance="outline">
            <mat-label>Minimum</mat-label>
            <input matInput type="number" [formControl]="soilMoistureMin">
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Maximum</mat-label>
            <input matInput type="number" [formControl]="soilMoistureMax">
        </mat-form-field>
    </div>

    <div>Light intensity</div>
    <div class="form-container">
        <mat-form-field appearance="outline">
            <mat-label>Minimum</mat-label>
            <input matInput type="number" [formControl]="lightIntensityMin">
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Maximum</mat-label>
            <input matInput type="number" [formControl]="lightIntensityMax">
        </mat-form-field>
    </div>

    <button *ngIf="!editConditions" mat-raised-button color="add-button" (click)="create()">
        Create
    </button>

    <button *ngIf="!!editConditions" mat-raised-button color="add-button" (click)="update()">
        Update
    </button>

</div>